#ifdef GL_ES
precision mediump float;
#endif

//
//uniform sampler2D   u_texture;
//uniform vec2        u_texSize;
//uniform int         u_mosaicLevel;


#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform vec2	direction;


void main() {
	vec4 src = texture2D(CC_Texture0, v_texCoord);//texture2D(u_texture, vec2(v_texCoord.x, v_texCoord.y));
	
	vec4 accum = vec4(0.0);
	
	float ff = 0.2;
	for(int i=0; i<10; i++)
	{
		vec2 dir = v_texCoord + direction * ff;  // * f;
		accum += texture2D(CC_Texture0, dir) * 0.1;
		
		ff -= 0.01;
	}

	gl_FragColor = src + accum;
}
