#ifdef GL_ES
precision mediump float; // 精度の定義
#endif

varying lowp vec4   v_fragmentColor;
varying vec2        v_texCoord;

uniform sampler2D   u_texture;
//uniform vec2        u_texSize;
//uniform int         u_mosaicLevel;

uniform vec4		color_v4;


void main()
{
//	vec4 src_tex = texture2D(u_texture, vec2(v_texCoord.x, v_texCoord.y));
//	
//	src_tex = src_tex - color_v4;
//	src_tex = clamp(src_tex, vec4(0.0,0.0,0.0,0.0), vec4(1.0, 1.0, 1.0, 1.0) );
//	gl_FragColor = src_tex;
	
	vec4 ret_col = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);

	if (ret_col.a > 0.0)
	{
		ret_col = clamp(ret_col - color_v4, vec4(0.0,0.0,0.0,0.0), vec4(1.0, 1.0, 1.0, 1.0) );
	}

	gl_FragColor = ret_col;
}

